import React from 'react';
declare type RefreshTokenFetcherType = {
    token: string;
    refreshToken: string;
};
declare type TokenReFetcherType = (refreshToken: string) => Promise<RefreshTokenFetcherType>;
declare type AuthProviderProps = {
    children: React.ReactElement;
    anonymousRoutes?: Array<{
        path: string;
    }>;
    enableRedirectToLogin?: boolean;
    redirectToLoginPath?: string;
    permissionParser?: (user: any) => Array<string> | undefined;
    userExtender?: <UserType>(user: any) => Promise<UserType>;
    tokenReFetcher?: TokenReFetcherType;
};
declare const AuthProvider: ({ children, anonymousRoutes, enableRedirectToLogin, redirectToLoginPath, permissionParser, userExtender, tokenReFetcher, }: AuthProviderProps) => JSX.Element;
export default AuthProvider;
